Bug 1642171 - Initial tuning on the Satellite 6 Server (PG configuration)
Summary: Initial tuning on the Satellite 6 Server (PG configuration)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Installer
Version: 6.3.4
Hardware: All
OS: All
unspecified
high
Target Milestone: 6.7.0
Assignee: satellite6-bugs
QA Contact: Devendra Singh
URL:
Whiteboard:
Depends On: 1215390
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-23 21:00 UTC by Waldirio M Pinheiro
Modified: 2020-04-14 13:23 UTC (History)
7 users (show)

Fixed In Version: foreman-installer-1.24.0-0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:23:25 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:23:40 UTC

Description Waldirio M Pinheiro 2018-10-23 21:00:38 UTC
Description of problem:
Some customers are facing issue related to performance and DB locking when the load is high "a bunch of Content Hosts + virt-who process + some API scripts + huge virtualization environment with a ton of Hypervisors and Guests"

Version-Release number of selected component (if applicable):
6.3.4

How reproducible:
100%

Steps to Reproduce:
1. Create an environment according to above
2. Keep the monitoring on the PG
3. ps -ef | grep wait

Actual results:
Some process like "UPDATE: waiting" and waiting on the PG activities table, as consequence, this value just increase and at the end of the day PG just stop and Satellite fail.

Expected results:
Satellite be able to handle all requests and move forward.

Additional info:

Comment 5 sthirugn@redhat.com 2020-02-06 15:15:06 UTC
Waldirio,
We are adding tuning profiles in installer as part of 6.7 which will setup postgres tunings which are listed in satellite-support project.  Do you think it is good enough? or is there anything else you like to see as part of this bug?

Comment 6 Waldirio M Pinheiro 2020-02-06 17:15:43 UTC
Hello sthirung,

Looks good to me. I'm not sure if the tuning above (autovacuum treshoold for some tables) will be added, I believe to be super valid.

Thank you.
Waldirio

Comment 7 Devendra Singh 2020-02-07 07:03:45 UTC
Verified with 6.7 Snap10.

foreman-installer version:
# rpm -q foreman-installer
foreman-installer-1.24.1.5-1.el7sat.noarch

Verified points:

* Deployment size successfully applied using satellite-installer.

# satellite-installer --tuning medium --disable-system-checks 
Installing             Done                                               [100%] [................................................................................................................................]

  Success!

# grep tuning /etc/foreman-installer/scenarios.d/satellite.yaml
  tuning: medium
:tuning: medium

Set postgresql parameters are below:

postgresql::server::config_entries:
  max_connections: 1000
  shared_buffers: 4GB
  checkpoint_segments: 32
  effective_cache_size: 16GB
  autovacuum_vacuum_cost_limit: 2000

Comment 12 errata-xmlrpc 2020-04-14 13:23:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.